DRM_FB_HELPER_SINGLE(9)

NAME
drm_fb_helper_single_add_all_connectors - add all connectors to fbdev emulation helper

SYNOPSIS

int drm_fb_helper_single_add_all_connectors(struct drm_fb_helper * fb_helper);

ARGUMENTS

fb_helper
    fbdev initialized with drm_fb_helper_init

DESCRIPTION

This functions adds all the available connectors for use with the given fb_helper. This is a separate step to allow drivers to freely assign connectors to the fbdev, e.g. if some are reserved for special purposes or not adequate to be used for the fbcon.

Since this is part of the initial setup before the fbdev is published, no locking is required.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT